<div dir="auto"><div>Sorry but I'll ask the obvious question: you bet your entire business without paying for a license? </div><div dir="auto"><br></div><div dir="auto">Have I misunderstood you?<br><br><div class="gmail_quote" dir="auto"><div dir="ltr" class="gmail_attr">On Wed, 14 Aug. 2019, 7:01 pm David M. Cotter, <<a href="mailto:dave@kjams.com">dave@kjams.com</a>> wrote:<br></div><blockquote class="gmail_quote" style="margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex">+1 on this<br>
<br>
i am in the process of porting my legacy project to Qt and am afraid that i’ve made the wrong choice.  i’m just one guy and i bet my whole business on the availability of what  i need from Qt under LGPL<br>
<br>
i’m already using a third party HTTP server so i’m not affected by this but it’s a worrying sign. I too agree that the HTTP server really should be LGPL.<br>
<br>
What’s going to happen? It’s taken me over a year’s worth of work to get this far with Qt and i’m only half done. did i make the wrong choice? <br>
<br>
-dave<br>
<br>
> On Aug 14, 2019, at 9:18 AM, Benjamin TERRIER <<a href="mailto:b.terrier@gmail.com" target="_blank" rel="noreferrer">b.terrier@gmail.com</a>> wrote:<br>
> <br>
> Hi everyone,<br>
> <br>
> Since we are talking about the future of Qt these days, I would like<br>
> to know The Qt Company free software policy with Qt.<br>
> <br>
> Today, most of Qt modules are released under 3 free software licenses: LGPLv3,<br>
> GPLv2 and GPLv3. Some modules are released only under GPLv3.<br>
> If my memory is good, these GPLv3-only modules are the ones which used to<br>
> be commercial-only modules (like Qt Charts).<br>
> <br>
> However, it seems to me that most, if not all (except Qt 3D), new Qt modules<br>
> are now being released only under GPLv3:<br>
>  - Network Auth<br>
>  - WebGL<br>
>  - WASM<br>
>  - Http Server<br>
>  - Lottie<br>
>  - Quick 3D<br>
>  - MQTT<br>
> <br>
> I understand that The Qt Company is only obligated to release new modules<br>
> under GPLv3 (because of the KDE agreement).<br>
> I understand also that The Qt Company business model is selling Qt licenses<br>
> and has no direct financial interests in releasing Qt under any other license.<br>
> <br>
> So I can understand that some modules, in particular those valuable for wealthy industrial companies,<br>
> are only released under GPLv3.<br>
> However, for some modules like HttpServer, it seems to be an odd choice. There are plenty<br>
> alternatives available under LGPL or more permissive licenses, so I do not see what <br>
> would be the loss of releasing it under LGPLv3.<br>
> <br>
> Also the fact that those modules are GPLv3 only is a problem when developing with other<br>
> components that are GPLv2 only (and not GPLv2+).<br>
> <br>
> So I would like that someone could officially confirm if all new modules will be <br>
> released under GPLv3 only. Or if it is something that is decided on a per module<br>
> basis.<br>
> <br>
> I believe that Qt users and contributors deserve to know what it The Qt Company<br>
> view on this.<br>
> Using an LGPLv3 framework is not the same thing as using a GPLv3 framework<br>
> where some historical parts are available under LGPLv3 and all new features will be GPLv3 only.<br>
> <br>
> BR,<br>
> <br>
> Benjamin<br>
> <br>
> <br>
> _______________________________________________<br>
> Interest mailing list<br>
> <a href="mailto:Interest@qt-project.org" target="_blank" rel="noreferrer">Interest@qt-project.org</a><br>
> <a href="https://lists.qt-project.org/listinfo/interest" rel="noreferrer noreferrer" target="_blank">https://lists.qt-project.org/listinfo/interest</a><br>
<br>
_______________________________________________<br>
Interest mailing list<br>
<a href="mailto:Interest@qt-project.org" target="_blank" rel="noreferrer">Interest@qt-project.org</a><br>
<a href="https://lists.qt-project.org/listinfo/interest" rel="noreferrer noreferrer" target="_blank">https://lists.qt-project.org/listinfo/interest</a><br>
</blockquote></div></div></div>